; 256 values, 48 ppq, timer1 prescaler = 1/8
; timer1 high byte, low byte
;
; bpm probably ... close enough :)
;
; author: Marko Kanala, raato ]a t[ mulletronic.com
;
; LICENSE
; Creative Commons Attribution-NonCommercial-ShareALike 2.5
;
; You are free:
;
; * to copy, distribute, display, and perform the work
; * to make derivative works
;
; Under the following conditions:
;	
; 1. Attribution. You must attribute the work in the manner specified by the 
;    author or licensor.
; 2. Noncommercial. You may not use this work for commercial purposes.
; 3. Share Alike. If you alter, transform, or build upon this work, you may 
;    distribute the resulting work only under a license identical to this one.
;
; * For any reuse or distribution, you must make clear to others the license 
;   terms of this work.
; * Any of these conditions can be waived if you get permission from the 
;   copyright holder.
;
; Your fair use and other rights are in no way affected by the above.
;
; This is a human-readable summary of the Legal Code.
; See full license at http://creativecommons.org/licenses/by-nc-sa/2.5/legalcode
;
; Copyright: Marko Kanala (raato@mulletronic.com).
;

bpm_table:
	db 0x34, 0x8d ; 30.0bpm
	db 0x3b, 0x1d ; 31.0bpm
	db 0x41, 0x44 ; 32.0bpm
	db 0x47, 0x0c ; 33.0bpm
	db 0x4c, 0x7d ; 34.0bpm
	db 0x51, 0x9e ; 35.0bpm
	db 0x56, 0x76 ; 36.0bpm
    db 0x5b, 0x0b ; 37.0bpm
    db 0x5f, 0x62 ; 38.0bpm
    db 0x63, 0x80 ; 39.0bpm
    db 0x67, 0x6a ; 40.0bpm
    db 0x6b, 0x23 ; 41.0bpm
    db 0x6e, 0xae ; 42.0bpm
    db 0x72, 0x0f ; 43.0bpm
    db 0x75, 0x49 ; 44.0bpm
    db 0x78, 0x5e ; 45.0bpm
    db 0x7b, 0x51 ; 46.0bpm
    db 0x7e, 0x24 ; 47.0bpm
    db 0x80, 0xd8 ; 48.0bpm
    db 0x83, 0x71 ; 49.0bpm
    db 0x85, 0xee ; 50.0bpm
    db 0x88, 0x53 ; 51.0bpm
    db 0x8a, 0xa0 ; 52.0bpm
    db 0x8c, 0xd7 ; 53.0bpm
    db 0x8e, 0xf9 ; 54.0bpm
    db 0x91, 0x07 ; 55.0bpm
    db 0x93, 0x03 ; 56.0bpm
    db 0x94, 0xec ; 57.0bpm
    db 0x96, 0xc5 ; 58.0bpm
    db 0x98, 0x8d ; 59.0bpm
    db 0x9a, 0x47 ; 60.0bpm
    db 0x9b, 0xf2 ; 61.0bpm
    db 0x9d, 0x8f ; 62.0bpm
    db 0x9f, 0x1f ; 63.0bpm
    db 0xa0, 0xa2 ; 64.0bpm
    db 0xa2, 0x1a ; 65.0bpm
    db 0xa3, 0x86 ; 66.0bpm
    db 0xa4, 0xe8 ; 67.0bpm
    db 0xa6, 0x3f ; 68.0bpm
    db 0xa7, 0x8c ; 69.0bpm
    db 0xa8, 0xcf ; 70.0bpm
    db 0xaa, 0x09 ; 71.0bpm
    db 0xab, 0x3b ; 72.0bpm
    db 0xac, 0x64 ; 73.0bpm
    db 0xad, 0x86 ; 74.0bpm
    db 0xae, 0x9f ; 75.0bpm
    db 0xaf, 0xb1 ; 76.0bpm
    db 0xb0, 0xbc ; 77.0bpm
    db 0xb1, 0xc0 ; 78.0bpm
    db 0xb2, 0xbe ; 79.0bpm
    db 0xb3, 0xb5 ; 80.0bpm
    db 0xb4, 0xa6 ; 81.0bpm
    db 0xb5, 0x92 ; 82.0bpm
    db 0xb6, 0x77 ; 83.0bpm
    db 0xb7, 0x57 ; 84.0bpm
    db 0xb8, 0x32 ; 85.0bpm
    db 0xb9, 0x08 ; 86.0bpm
    db 0xb9, 0xd9 ; 87.0bpm
    db 0xba, 0xa5 ; 88.0bpm
    db 0xbb, 0x6c ; 89.0bpm
    db 0xbc, 0x2f ; 90.0bpm
    db 0xbc, 0xee ; 91.0bpm
    db 0xbd, 0xa9 ; 92.0bpm
    db 0xbe, 0x5f ; 93.0bpm
    db 0xbf, 0x12 ; 94.0bpm
    db 0xbf, 0xc1 ; 95.0bpm
    db 0xc0, 0x6c ; 96.0bpm
    db 0xc1, 0x14 ; 97.0bpm
    db 0xc1, 0xb9 ; 98.0bpm
    db 0xc2, 0x5a ; 99.0bpm
    db 0xc2, 0xf7 ; 100.0bpm
    db 0xc3, 0x92 ; 101.0bpm
    db 0xc4, 0x2a ; 102.0bpm
    db 0xc4, 0xbf ; 103.0bpm
    db 0xc5, 0x50 ; 104.0bpm
    db 0xc5, 0xe0 ; 105.0bpm
    db 0xc6, 0x6c ; 106.0bpm
    db 0xc6, 0xf6 ; 107.0bpm
    db 0xc7, 0x7d ; 108.0bpm
    db 0xc8, 0x02 ; 109.0bpm
    db 0xc8, 0x84 ; 110.0bpm
    db 0xc9, 0x04 ; 111.0bpm
    db 0xc9, 0x82 ; 112.0bpm
    db 0xc9, 0xfd ; 113.0bpm
    db 0xca, 0x76 ; 114.0bpm
    db 0xca, 0xee ; 115.0bpm
    db 0xcb, 0x63 ; 116.0bpm
    db 0xcb, 0xd6 ; 117.0bpm
    db 0xcc, 0x47 ; 118.0bpm
    db 0xcc, 0xb6 ; 119.0bpm
    db 0xcd, 0x24 ; 120.0bpm
    db 0xcd, 0x8f ; 121.0bpm
    db 0xcd, 0xf9 ; 122.0bpm
    db 0xce, 0x61 ; 123.0bpm
    db 0xce, 0xc8 ; 124.0bpm
    db 0xcf, 0x2c ; 125.0bpm
    db 0xcf, 0x90 ; 126.0bpm
    db 0xcf, 0xf1 ; 127.0bpm
    db 0xd0, 0x51 ; 128.0bpm
    db 0xd0, 0xb0 ; 129.0bpm
    db 0xd1, 0x0d ; 130.0bpm
    db 0xd1, 0x69 ; 131.0bpm
    db 0xd1, 0xc3 ; 132.0bpm
    db 0xd2, 0x1c ; 133.0bpm
    db 0xd2, 0x74 ; 134.0bpm
    db 0xd2, 0xca ; 135.0bpm
    db 0xd3, 0x20 ; 136.0bpm
    db 0xd3, 0x73 ; 137.0bpm
    db 0xd3, 0xc6 ; 138.0bpm
    db 0xd4, 0x17 ; 139.0bpm
    db 0xd4, 0x68 ; 140.0bpm
    db 0xd4, 0xb7 ; 141.0bpm
    db 0xd5, 0x05 ; 142.0bpm
    db 0xd5, 0x52 ; 143.0bpm
    db 0xd5, 0x9e ; 144.0bpm
    db 0xd5, 0xe9 ; 145.0bpm
    db 0xd6, 0x32 ; 146.0bpm
    db 0xd6, 0x7b ; 147.0bpm
    db 0xd6, 0xc3 ; 148.0bpm
    db 0xd7, 0x0a ; 149.0bpm
    db 0xd7, 0x50 ; 150.0bpm
    db 0xd7, 0x95 ; 151.0bpm
    db 0xd7, 0xd9 ; 152.0bpm
    db 0xd8, 0x1c ; 153.0bpm
    db 0xd8, 0x5e ; 154.0bpm
    db 0xd8, 0xa0 ; 155.0bpm
    db 0xd8, 0xe0 ; 156.0bpm
    db 0xd9, 0x20 ; 157.0bpm
    db 0xd9, 0x5f ; 158.0bpm
    db 0xd9, 0x9d ; 159.0bpm
    db 0xd9, 0xdb ; 160.0bpm
    db 0xda, 0x18 ; 161.0bpm
    db 0xda, 0x53 ; 162.0bpm
    db 0xda, 0x8f ; 163.0bpm
    db 0xda, 0xc9 ; 164.0bpm
    db 0xdb, 0x03 ; 165.0bpm
    db 0xdb, 0x3c ; 166.0bpm
    db 0xdb, 0x74 ; 167.0bpm
    db 0xdb, 0xac ; 168.0bpm
    db 0xdb, 0xe3 ; 169.0bpm
    db 0xdc, 0x19 ; 170.0bpm
    db 0xdc, 0x4f ; 171.0bpm
    db 0xdc, 0x84 ; 172.0bpm
    db 0xdc, 0xb9 ; 173.0bpm
    db 0xdc, 0xed ; 174.0bpm
    db 0xdd, 0x20 ; 175.0bpm
    db 0xdd, 0x53 ; 176.0bpm
    db 0xdd, 0x85 ; 177.0bpm
    db 0xdd, 0xb6 ; 178.0bpm
    db 0xdd, 0xe7 ; 179.0bpm
    db 0xde, 0x18 ; 180.0bpm
    db 0xde, 0x48 ; 181.0bpm
    db 0xde, 0x77 ; 182.0bpm
    db 0xde, 0xa6 ; 183.0bpm
    db 0xde, 0xd5 ; 184.0bpm
    db 0xdf, 0x03 ; 185.0bpm
    db 0xdf, 0x30 ; 186.0bpm
    db 0xdf, 0x5d ; 187.0bpm
    db 0xdf, 0x89 ; 188.0bpm
    db 0xdf, 0xb5 ; 189.0bpm
    db 0xdf, 0xe1 ; 190.0bpm
    db 0xe0, 0x0c ; 191.0bpm
    db 0xe0, 0x36 ; 192.0bpm
    db 0xe0, 0x61 ; 193.0bpm
    db 0xe0, 0x8a ; 194.0bpm
    db 0xe0, 0xb4 ; 195.0bpm
    db 0xe0, 0xdd ; 196.0bpm
    db 0xe1, 0x05 ; 197.0bpm
    db 0xe1, 0x2d ; 198.0bpm
    db 0xe1, 0x55 ; 199.0bpm
    db 0xe1, 0x7c ; 200.0bpm
    db 0xe1, 0xa3 ; 201.0bpm
    db 0xe1, 0xc9 ; 202.0bpm
    db 0xe1, 0xef ; 203.0bpm
    db 0xe2, 0x15 ; 204.0bpm
    db 0xe2, 0x3b ; 205.0bpm
    db 0xe2, 0x60 ; 206.0bpm
    db 0xe2, 0x84 ; 207.0bpm
    db 0xe2, 0xa8 ; 208.0bpm
    db 0xe2, 0xcc ; 209.0bpm
    db 0xe2, 0xf0 ; 210.0bpm
    db 0xe3, 0x13 ; 211.0bpm
    db 0xe3, 0x36 ; 212.0bpm
    db 0xe3, 0x59 ; 213.0bpm
    db 0xe3, 0x7b ; 214.0bpm
    db 0xe3, 0x9d ; 215.0bpm
    db 0xe3, 0xbf ; 216.0bpm
    db 0xe3, 0xe0 ; 217.0bpm
    db 0xe4, 0x01 ; 218.0bpm
    db 0xe4, 0x22 ; 219.0bpm
    db 0xe4, 0x42 ; 220.0bpm
    db 0xe4, 0x62 ; 221.0bpm
    db 0xe4, 0x82 ; 222.0bpm
    db 0xe4, 0xa2 ; 223.0bpm
    db 0xe4, 0xc1 ; 224.0bpm
    db 0xe4, 0xe0 ; 225.0bpm
    db 0xe4, 0xff ; 226.0bpm
    db 0xe5, 0x1d ; 227.0bpm
    db 0xe5, 0x3b ; 228.0bpm
    db 0xe5, 0x59 ; 229.0bpm
    db 0xe5, 0x77 ; 230.0bpm
    db 0xe5, 0x94 ; 231.0bpm
    db 0xe5, 0xb2 ; 232.0bpm
    db 0xe5, 0xce ; 233.0bpm
    db 0xe5, 0xeb ; 234.0bpm
    db 0xe6, 0x08 ; 235.0bpm
    db 0xe6, 0x24 ; 236.0bpm
    db 0xe6, 0x40 ; 237.0bpm
    db 0xe6, 0x5b ; 238.0bpm
    db 0xe6, 0x77 ; 239.0bpm
    db 0xe6, 0x92 ; 240.0bpm
    db 0xe6, 0xad ; 241.0bpm
    db 0xe6, 0xc8 ; 242.0bpm
    db 0xe6, 0xe2 ; 243.0bpm
    db 0xe6, 0xfd ; 244.0bpm
    db 0xe7, 0x17 ; 245.0bpm
    db 0xe7, 0x31 ; 246.0bpm
    db 0xe7, 0x4b ; 247.0bpm
    db 0xe7, 0x64 ; 248.0bpm
    db 0xe7, 0x7d ; 249.0bpm
    db 0xe7, 0x96 ; 250.0bpm
    db 0xe7, 0xaf ; 251.0bpm
    db 0xe7, 0xc8 ; 252.0bpm
    db 0xe7, 0xe1 ; 253.0bpm
    db 0xe7, 0xf9 ; 254.0bpm
    db 0xe8, 0x11 ; 255.0bpm
    db 0xe8, 0x29 ; 256.0bpm
    db 0xe8, 0x41 ; 257.0bpm
    db 0xe8, 0x58 ; 258.0bpm
    db 0xe8, 0x70 ; 259.0bpm
    db 0xe8, 0x87 ; 260.0bpm
    db 0xe8, 0x9e ; 261.0bpm
    db 0xe8, 0xb5 ; 262.0bpm
    db 0xe8, 0xcb ; 263.0bpm
    db 0xe8, 0xe2 ; 264.0bpm
    db 0xe8, 0xf8 ; 265.0bpm
    db 0xe9, 0x0e ; 266.0bpm
    db 0xe9, 0x24 ; 267.0bpm
    db 0xe9, 0x3a ; 268.0bpm
    db 0xe9, 0x50 ; 269.0bpm
    db 0xe9, 0x65 ; 270.0bpm
    db 0xe9, 0x7b ; 271.0bpm
    db 0xe9, 0x90 ; 272.0bpm
    db 0xe9, 0xa5 ; 273.0bpm
    db 0xe9, 0xba ; 274.0bpm
    db 0xe9, 0xcf ; 275.0bpm
    db 0xe9, 0xe3 ; 276.0bpm
    db 0xe9, 0xf8 ; 277.0bpm
    db 0xea, 0x0c ; 278.0bpm
    db 0xea, 0x20 ; 279.0bpm
    db 0xea, 0x34 ; 280.0bpm
    db 0xea, 0x48 ; 281.0bpm
    db 0xea, 0x5c ; 282.0bpm
    db 0xea, 0x6f ; 283.0bpm
    db 0xea, 0x83 ; 284.0bpm
    db 0xea, 0x96 ; 285.0bpm
